'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Type guard to check if a filter is a {@link BooleanFilter}.
 *
 * @param filter - The filter to check.
 *
 * @public
 */
function isBooleanFilter(filter) {
    return typeof filter.selected === 'boolean';
}

exports.isBooleanFilter = isBooleanFilter;
